> This page is for JM Care Plan.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.jewelersmutual.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.jewelersmutual.com/_mcp/server.

# List repair codes for a claim

GET //jmcpclaimsapi.jewelersmutual.com/careplan/claims/repairCodes

Returns all available repair codes grouped by repair category for a given claim. Use this to populate repair selection UIs or validate repair codes before submitting a claimAction request.


Reference: https://docs.jewelersmutual.com/jm-care-plan/api-reference/jm-care-plan-claims/repair-codes/get-codes-for-claim-using-get

## Request

### Query parameters

- `claimId` (string, required) — claimId

## Response

### 200

OK

- `_embedded` (list of EntityModel_RepairCodesByCategoryDto_, optional)
- `_links` (Links, optional) — HAL hypermedia links map. The `empty` flag indicates whether any links are present on the resource.

## Errors

### 401 Unauthorized Error

Unauthorized

- `any`

### 403 Forbidden Error

Forbidden

- `any`

### 404 Not Found Error

Not Found

- `any`

## Types

### EntityModel_RepairCodesByCategoryDto_

HAL-wrapped repair codes grouped by a single repair category, including individual repair codes with pricing and amount type details.

- `_links` (Links, optional) — HAL hypermedia links map. The `empty` flag indicates whether any links are present on the resource.
- `repairCategory` (string, optional) — Repair category name/description
- `repairCodes` (list of RepairCodeDto, optional) — List of repair codes.

### Links

HAL hypermedia links map. The `empty` flag indicates whether any links are present on the resource.

- `empty` (boolean, optional)

### RepairCodeDto

Information regarding repair codes (code, pricing...).

- `amountType` (string, optional) — What to send in the addClaim request for repair info object.
- `price` (double, optional) — Price associated with the the repair type.
- `repairCode` (string, optional) — Code representing the repair type
- `repairDescription` (string, optional) — Description is the descriptive name of the repair type.

## Examples

**Response**

```json
{
  "_embedded": [
    {
      "_links": {
        "empty": false
      },
      "repairCategory": "Ring Repairs",
      "repairCodes": [
        {
          "amountType": "PRICE/QTY",
          "price": 45,
          "repairCode": "RR001",
          "repairDescription": "Ring resizing smaller"
        },
        {
          "amountType": "PRICE/QTY",
          "price": 60,
          "repairCode": "RR002",
          "repairDescription": "Ring resizing larger"
        }
      ]
    },
    {
      "_links": {
        "empty": false
      },
      "repairCategory": "Chain Repairs",
      "repairCodes": [
        {
          "amountType": "PRICE/QTY",
          "price": 30,
          "repairCode": "CR001",
          "repairDescription": "Chain soldering"
        },
        {
          "amountType": "PRICE/QTY",
          "price": 25,
          "repairCode": "CR002",
          "repairDescription": "Chain clasp replacement"
        }
      ]
    }
  ],
  "_links": {
    "empty": false
  }
}
```

**SDK Code**

```python
import requests

url = "https://jmcpclaimsapi.jewelersmutual.com/careplan/claims/repairCodes"

querystring = {"claimId":"3fa85f64-5717-4562-b3fc-2c963f66afa6"}

response = requests.get(url, params=querystring)

print(response.json())
```

```javascript
const url = 'https://jmcpclaimsapi.jewelersmutual.com/careplan/claims/repairCodes?claimId=3fa85f64-5717-4562-b3fc-2c963f66afa6';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://jmcpclaimsapi.jewelersmutual.com/careplan/claims/repairCodes?claimId=3fa85f64-5717-4562-b3fc-2c963f66afa6"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://jmcpclaimsapi.jewelersmutual.com/careplan/claims/repairCodes?claimId=3fa85f64-5717-4562-b3fc-2c963f66afa6")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://jmcpclaimsapi.jewelersmutual.com/careplan/claims/repairCodes?claimId=3fa85f64-5717-4562-b3fc-2c963f66afa6")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://jmcpclaimsapi.jewelersmutual.com/careplan/claims/repairCodes?claimId=3fa85f64-5717-4562-b3fc-2c963f66afa6');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://jmcpclaimsapi.jewelersmutual.com/careplan/claims/repairCodes?claimId=3fa85f64-5717-4562-b3fc-2c963f66afa6");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://jmcpclaimsapi.jewelersmutual.com/careplan/claims/repairCodes?claimId=3fa85f64-5717-4562-b3fc-2c963f66afa6")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```